PPI::Token::Number::Hex(3pm)

NAME
PPI::Token::Number::Hex - Token class for a binary number

SYNOPSIS
  $n = 0x1234;     # hexadecimal integer

INHERITANCE
  PPI::Token::Number::Hex
  isa PPI::Token::Number
      isa PPI::Token
          isa PPI::Element

DESCRIPTION
The "PPI::Token::Number::Hex" class is used for tokens that represent base-16 numbers.

METHODS

  base
Returns the base for the number: 16.

  literal
Return the numeric value of this token.

SUPPORT
See the support section in the main module.

AUTHOR
Chris Dolan <cdolan@cpan.org>

COPYRIGHT
Copyright 2006 Chris Dolan.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.